Gebruiker bijwerken
curl --request PUT \
--url https://app.anlytic.com/api/v1/users/{user_id} \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"firstName": "<string>",
"lastName": "<string>",
"username": "<string>",
"email": "jsmith@example.com",
"avatarUrl": "<string>",
"active": true,
"verified": true,
"settings": {}
}
'import requests
url = "https://app.anlytic.com/api/v1/users/{user_id}"
payload = {
"firstName": "<string>",
"lastName": "<string>",
"username": "<string>",
"email": "jsmith@example.com",
"avatarUrl": "<string>",
"active": True,
"verified": True,
"settings": {}
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.put(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PUT',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
firstName: '<string>',
lastName: '<string>',
username: '<string>',
email: 'jsmith@example.com',
avatarUrl: '<string>',
active: true,
verified: true,
settings: {}
})
};
fetch('https://app.anlytic.com/api/v1/users/{user_id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"userId": "550e8400-e29b-41d4-a716-446655440000",
"firstName": "<string>",
"lastName": "<string>",
"userName": "<string>",
"email": "jsmith@example.com",
"avatarUrl": "<string>",
"active": true,
"verified": true,
"mfaEnabled": true,
"createdAt": "2024-01-15T10:30:00Z",
"updatedAt": "2024-01-15T10:30:00Z",
"settings": {}
}{
"error": "<string>",
"code": "<string>"
}{
"error": "<string>",
"code": "<string>"
}{
"error": "<string>",
"code": "<string>"
}Gebruiker bijwerken
Met dit endpoint voer je de volgende bewerking uit: gebruiker bijwerken.
Gebruiker bijwerken
Autorisaties
bearerAuthapiKeyAuth
Stuur een geldig token mee via de header Authorization: Bearer <token>.
Padparameters
Waarde voor user_id.
Voorbeeld:
"550e8400-e29b-41d4-a716-446655440000"
Body
application/json
Respons
Aanvraag geslaagd
Voorbeeld:
"550e8400-e29b-41d4-a716-446655440000"
Beschikbare opties:
user, admin, superadmin Voorbeeld:
"2024-01-15T10:30:00Z"
Voorbeeld:
"2024-01-15T10:30:00Z"
Laatst gewijzigd op 23 juli 2026
⌘I